          var onRun = function(context) {
            var sketch = require('sketch');
  var ui = require('sketch/ui');
  var Settings = require('sketch/settings');
  var Text = require('sketch/dom').Text
  var Shape = require('sketch/dom').Shape
  var ShapePath = require('sketch/dom').ShapePath
  var Rectangle = require('sketch/dom').Rectangle
  var Slice = require('sketch/dom').Slice
  var Group = require('sketch/dom').Group
  var Page = require('sketch/dom').Page
  var Artboard = require('sketch/dom').Artboard
  var Document = require('sketch/dom').Document
  var Style = require('sketch/dom').Style
  var doc = context.document;
  const util = require('util');
  var {isNativeObject} = require('util')


  var sketchversion = sketch.version.sketch;

var documents = require('sketch/dom').getDocuments()


  var document = sketch.getSelectedDocument();

  var page = document.pages[0]

  var selectedLayers = document.selectedLayers;
var layerToCSS = selectedLayers.layers[0]

var result = ""

result = "x: " + layerToCSS.frame.x + "px;\n"
+ "y: " + layerToCSS.frame.y + "px;\n"
+ "width: " + layerToCSS.frame.width + "px;\n"
+ "height: " + layerToCSS.frame.height + "px;\n"

//result = result 

var CSSProperties = getCleanCSS(layerToCSS).split(";")

for (p = 0; p < CSSProperties.length; p++){
//  console.log(CSSProperties[p])
  if (CSSProperties[p] != "\n"){
  result = result + CSSProperties[p].trim() + ";\n"
}
}


//getCleanCSS



var instructionalTextForInput = "👉 Copy CSS properties below:";

//// Get user input
ui.getInputFromUser(
  "Export CSS",
  {
    initialValue: result,
    description: instructionalTextForInput,
    numberOfLines: 10
  },
  (err, value) => {
    if (err) {
      // most likely the user canceled the input
      return;
    } else {
      console.log(value);
      result = value;
    }
  }
);

function getCleanCSS(layer) {
    var cleanCSS = layer.sketchObject.CSSAttributes().toString().split('",').join().split('"').join("").replace(/,+/g, '').replace('(', '').replace(')', '')
    // var cleanCSS = layer.sketchObject.CSSAttributes().toString()
    return cleanCSS;
  }



          };
          